package com.massivecraft.factions.integration.lockette;

import com.massivecraft.massivecore.Engine;
import com.massivecraft.massivecore.Integration;

public class IntegrationLockette extends Integration {
    // -------------------------------------------- //
    // INSTANCE & CONSTRUCT
    // -------------------------------------------- //

    protected static IntegrationLockette i = new IntegrationLockette();

    public static IntegrationLockette get() {
        return i;
    }

    private IntegrationLockette() {
        this.setPluginName("LockettePro");
    }

    // -------------------------------------------- //
    // OVERRIDE
    // -------------------------------------------- //

    @Override
    public Engine getEngine() {
        return EngineLockette.get();
    }

}
